## grindstone turtle

Place an engineering turtle (turtle with crescent hammer, 3 iron + 1 silver) facing the crank of a grindstone

**execute commands**:
- `pastebin get pRPJkvnv startup`
- `startup`

same for the killing turtles in xp farm

## lava refuel setup

- place at edge of lava lake in the nether
- place 1 bucket of lava in first slot

**execute commands**:
- `label set <name>`
- `pastebin get nFSUKiYE lava`
- `refuel`
- `lava 10`

## miner setup
- place one ender chest, then 4 turtles facing away from it around it, with fuel and preferably labels set, like this:

![Mining Turtle Setup](../images/mining_setup.png)

- give each turtle compare blocks before starting the program like this

![Mining Turtle Compare Blocks](../images/mining_turtle_compare_blocks.png)

**execute commands**:
- `pastebin get gGy2HWcF mine`
- `mine`

## boiler builder

- **give the turtle fuel beforehand**
- give the turtle a **resupply module on its right side**
- place turtle infront (facing away) from a resupply station like this:

![Boiler Turtle Station Setup](../images/boiler_turtle_station_setup.png)
- the boilers are built infront of the turtle to the right, make sure the ground is even and is at least 2 blocks deep for the water
- provide low pressure boilers, liquid fueled fireboxes and liquiducts in the resupply station like this:

![Boiler Turtle Resupply Station](../images/boiler_turtle_resupply_station.png)
- follow the instructions of the turtle after placing it and starting the program, required items will look like this:

![Boiler Turtle Required Items](../images/boiler_turtle_required_items.png)

**execute commands**:
- `pastebin get ZJt5uwjW boiler`
- `boiler`

## IBF distribution turtle

- **give the turtle fuel beforehand**
- place above me interface, set the interface to keep 4 dust (titanium/chrome/tungsten)

Like this:

![IBF Setup](../images/ibf_setup.png)

**execute commands**:
- `pastebin get iq0Xe2KF ibf`
- `ibf`

## centrifuge turtle

Place a turtle with an **inventory module** connected on the right like in the following image:

![Centrifuge Turtle Setup](../images/centrifuge_turtle_setup.png)

The leftmost interface should have a stack of cells, the middle one a stack of ingredients, e.g., redstone dust, and the rightmost should be empty.

This program **does not** survive reboots/unloading! Keep it chunk-loaded and do not restart the server after starting the turtle.

Make sure the turtle always has enough resources to keep going. If it has to wait too long, it will break eventually!! If this happens, manually take out all products from the centrifuges to fix it.

**execute commands**:
- `pastebin get 1reqCa4x cent` (for **redstone**)
- `pastebin get 793PtXnD cent` (for **platinum**)
- `cent`
